Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "image-to-3d-object",
    "input": {
      "model": "hunyuan3d-v21",
      "image_url": "https://example.com/my-object.jpg"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "image-to-3d-object",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits60 credits
OutputGLB (3D model)
Toolimage-to-3d-object

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYesimage-to-3d-object
input.modelstringYeshunyuan3d-v21
input.image_urlstringYesURL of the image to convert to 3D
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "image-to-3d-object",
    "input": {
      "model": "hunyuan3d-v21",
      "image_url": "https://example.com/my-object.jpg"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "image-to-3d-object",
  "createdAt": "2024-01-15T10:30:00.000Z"
}